CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

DefaultProtector Member List

This is the complete list of members for DefaultProtector, including all inherited members.

actualMessage(const Message &message, const ProtectorContext &context) const | Protector | protected
protect(const Functor &functor, const ProtectorContext &context) | DefaultProtector | virtual
reportError(const ProtectorContext &context, const Exception &error) const | Protector | protected
reportError(const ProtectorContext &context, const Message &message, const SourceLine &sourceLine=SourceLine()) const | Protector | protected
reportFailure(const ProtectorContext &context, const Exception &failure) const | Protector | protected
~Protector() | Protector | virtual

| Send comments to: CppUnit Developers